import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KatalogEintragStrassen extends JavaObject {
    Ort: String | null;
    RegSchl: String | null;
    Strasse: String | null;
    Stand: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KatalogEintragStrassen;
    static transpilerToJSON(obj: KatalogEintragStrassen): string;
    static transpilerToJSONPatch(obj: Partial<KatalogEintragStrassen>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kataloge_KatalogEintragStrassen(obj: unknown): KatalogEintragStrassen;
